For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
  • REST Platform Management
      • GETlist service providers
      • POSTcreate service provider
      • GETretrieve service provider
      • PUTupdate service provider
      • DELdelete a service provider
      • GETget all accounts for a service provider
      • GETretrieve call capacity and other limits from the service provider
      • POSTcreate a limit for a service provider
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
REST Platform ManagementService Providers

list service providers

GET
https://api.jambonz.cloud/v1/ServiceProviders
GET
/v1/ServiceProviders
$curl https://api.jambonz.cloud/v1/ServiceProviders \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "service_provider_sid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
4 "name": "Acme Communications",
5 "description": "Leading provider of cloud telephony services",
6 "root_domain": "acme-telecom.com",
7 "registration_hook": {
8 "url": "https://hooks.acme-telecom.com/auth",
9 "method": "post",
10 "username": "acmeUser",
11 "password": "securePass123"
12 },
13 "ms_teams_fqdn": "acme.microsoft.com",
14 "test_number": "+14155550123",
15 "test_application_name": "Acme Test App",
16 "test_application_sid": "7b9e1f2a-4d3c-4f8a-9a2e-1c2d3e4f5a6b"
17 }
18]
<Error>This endpoint is only availble with an Admin or Service Provider API key</Error>
Was this page helpful?
Previous

create service provider

Next
Built with
This endpoint is only availble with an Admin or Service Provider API key

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

list of service providers
service_provider_sidstringformat: "uuid"
namestring
descriptionstring
root_domainstring
registration_hookobject
authentication webhook for registration
ms_teams_fqdnstring
test_numberstring
used for inbound testing for accounts on free plan
test_application_namestring
name of test application that can be used for new signups
test_application_sidstring
identifies test application that can be used for new signups

Errors

500
Internal Server Error